Bug 106136 - [GTK] Add property for IndexedDB database path to WebKitGTK+
Summary: [GTK] Add property for IndexedDB database path to WebKitGTK+
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-04 15:05 PST by Michael Pruett
Modified: 2013-01-18 08:28 PST (History)
6 users (show)

See Also:


Attachments
Patch (6.64 KB, patch)
2013-01-04 15:25 PST, Michael Pruett
no flags Details | Formatted Diff | Diff
Patch (8.36 KB, patch)
2013-01-17 16:55 PST, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Pruett 2013-01-04 15:05:36 PST
Add support for setting IndexedDB database path in WebKitGTK+.
Comment 1 Michael Pruett 2013-01-04 15:25:29 PST
Created attachment 181394 [details]
Patch
Comment 2 Martin Robinson 2013-01-07 11:40:52 PST
Comment on attachment 181394 [details]
Patch

The WebKit1 port of GTK+ is unofficially in maintenance mode at this point and we aren't really interested in adding new API. I think adding a general API for storage in WebKit2 might be useful though. I'm imagining just having a single API that sets the path for all client-side storage web APIs.
Comment 3 Michael Pruett 2013-01-13 17:01:46 PST
I am reopening this bug based upon discussions with Martin Robinson.
Comment 4 Martin Robinson 2013-01-17 16:55:46 PST
Created attachment 183317 [details]
Patch
Comment 5 Gustavo Noronha (kov) 2013-01-18 08:26:33 PST
Comment on attachment 183317 [details]
Patch

LGTM
Comment 6 Martin Robinson 2013-01-18 08:28:36 PST
Comment on attachment 183317 [details]
Patch

Clearing flags on attachment: 183317

Committed r140153: <http://trac.webkit.org/changeset/140153>
Comment 7 Martin Robinson 2013-01-18 08:28:44 PST
All reviewed patches have been landed.  Closing bug.